get
/{tenantId}/v1/verification/aml-check/{id}Get AML check
Requires Authentication
Verification
Returns the status of an AML check
Path Parameters
| Name | Type | Description |
|---|---|---|
tenantIdrequired | string (uuid) | Tenant UUID |
idrequired | string (uuid) | - |
Responses
AML check result
Response Bodyapplication/json
metaResponseMeta
requestobject
walletobject
dataAMLCheckData
idstring (uuid)
statusstring
enum: "pending" | "completed" | "failed"passedboolean
nameCheckboolean
dobCheckboolean
addressCheckboolean
pepCheckboolean
documentCheckboolean
mortalityCheckboolean
reportUrlstring
errorMessagestring
createdAtstring (date-time)
updatedAtstring (date-time)
firstNamestring
lastNamestring
middleNamestring
dateOfBirthstring
- ISO date (YYYY-MM-DD)addressAMLCheckAddress
externalReferencestring
transactionIdstring
Code Examples
curl -X GET 'https://api-next.checkio.co.uk/{tenantId}/v1/verification/aml-check/{id}' \
-H 'Authorization: Bearer {token}'